# Contribuire a Bootstrap Italia

Prenditi un momento per leggere questo documento così da rendere il processo semplice e consistente con quello degli altri.

## Creare una issue

L'[issue tracker](https://github.com/italia/bootstrap-italia/issues) è il posto giusto dove inserire [segnalazioni di bug](#segnalazione-di-bug),
[richieste di nuove funzionalità](#richieste-di-nuove-funzionalità) e [creazione di pull request](#pull-request), nel rispetto di queste condizioni:

- Per favore, **non** usare l'issue tracker per richieste di supporto personali.
  [Slack di Developers Italia])(https://slack.developers.italia.it/), [Slack di Bootstrap](https://bootstrap-slack.herokuapp.com/)
  o Stack Overflow sono i posti giusti a cui fare riferimento, dove sarà anche più facile troverete risposte immediate.

- Allo stesso modo, per favore **non** provocare gli altri o "trollare" nei commenti alle issue.
  Mantenere la discussione pertinente e rispettare le opinioni di tutti. Per confronti o questioni più articolate,
  è sempre auspicabile usare [Slack di Developers Italia])(https://slack.developers.italia.it/) o il [Forum di Developers Italia](https://forum.italia.it/).
  
- Rispettare le indicazioni che trovate di seguito per l'utilizzo di label, la segnalazione di bug, e la creazione di pull request.

## Issue e label

Il repository di Bootstrap Italia usa alcune label per identificare le issues:

- `accessibility` - Issue riguardanti accessibilità.
- `bug` - segnalazione di malfunzionamenti nel codice o problemi tecnici con i tool di compilazione.
- `design` - Issue riguardanti il design dei componenti e la loro conformità alle [linee guida di design per i servizi web delle Pubbliche Amministrazioni](https://design-italia.readthedocs.io/it/stable/index.html).
- `docs` - Issues riguardanti la documentazione dei componenti.
- `duplicate` - Issue o pull request duplicata.
- `enhancement` - Issue che possono riguardare nuovi componenti o nuove funzionalità.
- `good first issue` - Issue particolarmente semplici da prendere in carico per chi non ha conoscenza approfondita del progetto.
- `help wanted` - Issues per le quali il team di Developers Italia è aperto al supporto della comunità degli sviluppatori.
- `invalid` - Issue invalida.
- `question` - Indica una issue o pull request che ha bisogno di maggiori informazioni.
- `wontfix` - Indica che la issue o la pull request viene chiusa senza alcun lavoro aggiuntivo.

## Licenza

Contribuendo al codice o alla documentazione accetti di rilasciare il tuo codice secondo le rispettive licenze.
