---
layout: simple
title: Esempi
description: Quickly get a project started with any of our examples ranging from using parts of the framework to custom components and layouts.
redirect_from: "/esempi/"
---

[Download the Bootstrap source code]({{ site.download.source }}) to snag these examples.

## Framework

Examples that focus on implementing uses of built-in components provided by Bootstrap.

<div class="row bd-examples">
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/starter-template/">
      <h4>Starter template</h4>
    </a>
    <p>Nothing but the basics: compiled CSS and JavaScript.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/grid/">
      <h4>Grids</h4>
    </a>
    <p>Multiple examples of grid layouts with all four tiers, nesting, and more.</p>
  </div>
  <div class="clearfix hidden-md-up"></div>

  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/jumbotron/">
      <h4>Jumbotron</h4>
    </a>
    <p>Build around the jumbotron with a navbar and some basic grid columns.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/narrow-jumbotron/">
      <h4>Narrow jumbotron</h4>
    </a>
    <p>Build a more custom page by narrowing the default container and jumbotron.</p>
  </div>
  <div class="col-6 col-md-4">
      <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/test/">
        <h4>Test</h4>
      </a>
      <p>Test</p>
    </div>
</div>

## Navbars

Taking the default navbar component and showing how it can be moved, placed, and extended.

<div class="row bd-examples">
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/navbars/">
      <h4>Navbar</h4>
    </a>
    <p>Super basic template that includes the navbar along with some additional content.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/navbar-top/">
      <h4>Static top navbar</h4>
    </a>
    <p>Super basic template with a static top navbar along with some additional content.</p>
  </div>
  <div class="clearfix hidden-md-up"></div>

  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/navbar-top-fixed/">
      <h4>Fixed navbar</h4>
    </a>
    <p>Super basic template with a fixed top navbar along with some additional content.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/navbar-bottom/">
      <h4>Bottom navbar</h4>
    </a>
    <p>Super basic template with a bottom navbar along with some additional content.</p>
  </div>
</div>

## Custom components

Brand new components and templates to help folks quickly get started with Bootstrap and demonstrate best practices for adding onto the framework.

<div class="row bd-examples">
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/album/">
      <h4>Album</h4>
    </a>
    <p>Simple one-page template for photo galleries, portfolios, and more.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/cover/">
      <h4>Cover</h4>
    </a>
    <p>A one-page template for building simple and beautiful home pages.</p>
  </div>
  <div class="clearfix hidden-md-up"></div>

  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/carousel/">
      <h4>Carousel</h4>
    </a>
    <p>Customize the navbar and carousel, then add some new components.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/blog/">
      <h4>Blog</h4>
    </a>
    <p>Simple two-column blog layout with custom navigation, header, and type.</p>
  </div>
  <div class="clearfix hidden-md-up"></div>

  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/dashboard/">
      <h4>Dashboard</h4>
    </a>
    <p>Basic admin dashboard shell with fixed sidebar and navbar.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/signin/">
      <h4>Sign-in page</h4>
    </a>
    <p>Custom form layout and design for a simple sign in form.</p>
  </div>
  <div class="clearfix hidden-md-up"></div>

  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/justified-nav/">
      <h4>Justified nav</h4>
    </a>
    <p>Create a custom navbar with justified links. Heads up! Not too Safari friendly.</p>
  </div>
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/sticky-footer/">
      <h4>Sticky footer</h4>
    </a>
    <p>Attach a footer to the bottom of the viewport when the content is shorter than it.</p>
  </div>
  <div class="clearfix hidden-md-up"></div>

  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/sticky-footer-navbar/">
      <h4>Sticky footer w/ navbar</h4>
    </a>
    <p>Attach a footer to the bottom of the viewport with a fixed top navbar.</p>
  </div>
</div>

## Experiments

Examples that focus on future-friendly features or techniques.

<div class="row bd-examples">
  <div class="col-6 col-md-4">
    <a href="{{ site.baseurl }}/docs/{{ site.docs_version }}/esempi/offcanvas/">
      <h4>Offcanvas</h4>
    </a>
    <p>Build a toggleable off-canvas navigation menu for use with Bootstrap.</p>
  </div>
</div>
